Loading...
Searching...
No Matches
projection.hpp File Reference
`#include <osmium/geom/coordinates.hpp>`
`#include <osmium/geom/mercator_projection.hpp>`
`#include <osmium/geom/util.hpp>`
`#include <osmium/osm/location.hpp>`
`#include <osmium/util/compatibility.hpp>`
`#include <proj_api.h>`
`#include <memory>`
`#include <string>`
Include dependency graph for projection.hpp:

Go to the source code of this file.

## Classes

class | osmium::geom::CRS
struct | osmium::geom::CRS::ProjCRSDeleter
class | osmium::geom::Projection

## Namespaces

namespace | osmium
| Namespace for everything in the Osmium library.
namespace | osmium::geom
| Everything related to geometry handling.

## Macros

#define | ACCEPT_USE_OF_DEPRECATED_PROJ_API_H

## Functions

OSMIUM_DEPRECATED Coordinates | osmium::geom::transform (const CRS &src, const CRS &dest, Coordinates c)

## Detailed Description

This file contains code for projecting OSM locations to arbitrary coordinate reference systems. It is based on the Proj.4 library.

Attention
  If you include this file, you'll need to link with `libproj`.

## Macro Definition Documentation

## ACCEPT_USE_OF_DEPRECATED_PROJ_API_H

#define ACCEPT_USE_OF_DEPRECATED_PROJ_API_H